# List claims

Paginate through your claims, most-recent first. Use `cursor` for keyset pagination and optionally filter by the claim's `created_at` with `created_after` and `created_before`.

Endpoint: GET /claims
Version: 1.0.0
Security: api_key

## Security:

  - `api_key` (unknown)
    apiKey in header X-API-Key

## Query parameters:

  - `created_after` (string)
    Only return claims whose `created_at` is at or after this time. Must be a valid ISO 8601 / RFC 3339 timestamp with a trailing `Z` or a numeric offset such as `-08:00`.

  - `created_before` (string)
    Only return claims whose `created_at` is at or before this time. Must be a valid ISO 8601 / RFC 3339 timestamp with a trailing `Z` or a numeric offset such as `-08:00`.

  - `cursor` (integer)
    Return claims that come after this cursor. Pass the `next_cursor` from the previous response to fetch the next page. Omit to start from the most recent claim.

## Header parameters:

  - `Accept` (string, required)
    Accept must be application/json

## Response 200:

  - `200` (unknown)
    A page of claims

## Response 200 fields (application/json):

  - `claims` (array)

  - `claims.lookup_key` (string)
    Onward's identifier for this Claim.
    Example: clm_f4f55e6636

  - `claims.order` (object)
    Identifiers for the order this claim was filed against.

  - `claims.order.shop_order_id` (string)
    Your unique identifier for the Order (the same shop_order_id you sent when creating it).
    Example: 18282

  - `claims.order.shop_order_number` (string)
    The Order Number as presented to the customer.
    Example: W-94713

  - `claims.cause` (string)
    The reason the claim was filed.
    Enum: "stuck_in_transit", "damaged", "stolen", "missing", "wrong_item", "not_satisfied", "returned", "chargeback", "late_delivery", "lost", "defective_item", "other"

  - `claims.status` (string)
    The claim's current status.
    Enum: "in_progress", "on_hold", "resolved", "unqualified", "denied"

  - `claims.status_reason` (string)
    The specific reason behind the claim's current status.
    Enum: "in_review", "filed_too_early", "filed_too_late", "customer_wanted_exchange", "unfulfilled_order", "duplicate_claim", "merchant_policy", "chargeback_not_covered", "not_enough_info", "shipment_found", "wrong_address", "cosmetic_damage", "waiting_on_customer", "waiting_on_merchant", "waiting_on_onward", "handled_by_merchant", "reordered", "refunded", "store_credit_reward_provided", "store_credit_gift_card_provided", "reimbursed", "auto_denied", "fraud", "product_defect", "wrong_item_shipped"

  - `claims.reported_amount` (object)
    Amount the customer reported as the value of the claim when filing it.

  - `claims.reported_amount.cents` (integer, required)
    Example: 1299

  - `claims.reported_amount.currency` (string, required)
    Currency code (ISO 4217)
    Example: USD

  - `claims.resolved_amount` (object)
    Amount credited to the merchant when the claim was resolved. `null` until the claim is resolved.

  - `claims.created_at` (string)
    When the claim was filed.
    Example: 2024-11-26T17:32:28Z

  - `next_cursor` (integer)
    Cursor to pass as `cursor` on the next request to fetch the following page. `null` when there are no more claims to page through.
    Example: 8842

## Response 400:

  - `400` (unknown)
    A query parameter was invalid (e.g. an unparseable created_after / created_before timestamp).

## Response 400 fields (application/json):

  - `errors` (array, required)
    Array of errors. Each error contains the field in the beginning followed by the issue found.

## Response 401:

  - `401` (unknown)
    API key missing or invalid. Provide a valid `X-Api-Key` header.

## Response 401 fields (application/json):

  - `error` (string, required)
    A short, human-readable description of the authentication failure.
    Example: Unauthorized

